interface EChartThemeOption {
    fontColor: string;
    lineColor: string;
    palette: string[];
}
export declare function useEChartTheme(options?: Partial<EChartThemeOption>): {
    legend: {
        textStyle: {
            fontSize: number;
            color: string;
        };
    };
    grid: {
        bottom: number;
        top: number;
        left: number;
        right: number;
        containLabel: boolean;
    };
    categoryAxis: {
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            color: string;
        };
        axisTick: {
            lineStyle: {
                color: string;
            };
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    valueAxis: {
        splitLine: {
            lineStyle: {
                color: string[];
            };
        };
        axisLabel: {
            color: string;
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    visualMap: {
        inRange: {
            color: string[];
        };
    };
    tooltip: {
        backgroundColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontFamily: string;
            lineHeight: number;
            fontSize: number;
            axisPointer: {
                shadowStyle: {
                    color: string;
                };
            };
            extraCssText: string;
        };
        axisPointer: {
            shadowStyle: {
                color: string;
            };
        };
    };
    line: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    cursor: string;
    color: string[];
};
export declare const lightTheme: {
    legend: {
        textStyle: {
            fontSize: number;
            color: string;
        };
    };
    grid: {
        bottom: number;
        top: number;
        left: number;
        right: number;
        containLabel: boolean;
    };
    categoryAxis: {
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            color: string;
        };
        axisTick: {
            lineStyle: {
                color: string;
            };
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    valueAxis: {
        splitLine: {
            lineStyle: {
                color: string[];
            };
        };
        axisLabel: {
            color: string;
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    visualMap: {
        inRange: {
            color: string[];
        };
    };
    tooltip: {
        backgroundColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontFamily: string;
            lineHeight: number;
            fontSize: number;
            axisPointer: {
                shadowStyle: {
                    color: string;
                };
            };
            extraCssText: string;
        };
        axisPointer: {
            shadowStyle: {
                color: string;
            };
        };
    };
    line: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    cursor: string;
    color: string[];
};
export declare const darkTheme: {
    legend: {
        textStyle: {
            fontSize: number;
            color: string;
        };
    };
    grid: {
        bottom: number;
        top: number;
        left: number;
        right: number;
        containLabel: boolean;
    };
    categoryAxis: {
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            color: string;
        };
        axisTick: {
            lineStyle: {
                color: string;
            };
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    valueAxis: {
        splitLine: {
            lineStyle: {
                color: string[];
            };
        };
        axisLabel: {
            color: string;
        };
        axisPointer: {
            label: {
                backgroundColor: string;
            };
        };
    };
    visualMap: {
        inRange: {
            color: string[];
        };
    };
    tooltip: {
        backgroundColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontFamily: string;
            lineHeight: number;
            fontSize: number;
            axisPointer: {
                shadowStyle: {
                    color: string;
                };
            };
            extraCssText: string;
        };
        axisPointer: {
            shadowStyle: {
                color: string;
            };
        };
    };
    line: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    cursor: string;
    color: string[];
};
export {};
